Alokai

CCPOrderEntry

Request body parameter that contains attributes for creating the order entry, like quantity, product code and configuration identifier CCPOrderEntry

export interface CCPOrderEntry {
	'basePrice'?: Price;
	'cancellableQuantity'?: number;
	'cancelledItemsPrice'?: Price;
	'comments'?: Array<Comment>;
	'configId'?: string;
	'configurationInfos'?: Array<ConfigurationInfo>;
	'deliveryMode'?: DeliveryMode;
	'deliveryPointOfService'?: PointOfService;
	'entryNumber'?: number;
	'product'?: Product;
	'quantity'?: number;
	'quantityAllocated'?: number;
	'quantityCancelled'?: number;
	'quantityPending'?: number;
	'quantityReturned'?: number;
	'quantityShipped'?: number;
	'quantityUnallocated'?: number;
	'returnableQuantity'?: number;
	'returnedItemsPrice'?: Price;
	'statusSummaryList'?: Array<StatusSummary>;
	'totalPrice'?: Price;
	'updateable'?: boolean;
	'url'?: string;
}

Properties

NameRequiredTypeDescription
basePriceOptionalPrice{Price} CCPOrderEntry
cancellableQuantityOptionalnumberQuantity number of cancellable items in order entry {number} CCPOrderEntry
cancelledItemsPriceOptionalPrice{Price} CCPOrderEntry
commentsOptionalArray<Comment>List of order entry comments. {Array<Comment>} CCPOrderEntry
configIdOptionalstringConfiguration Identifier. A randomly generated UUID owned by the product configurator {string} CCPOrderEntry
configurationInfosOptionalArray<ConfigurationInfo>Configuration info of order entry {Array<ConfigurationInfo>} CCPOrderEntry
deliveryModeOptionalDeliveryMode{DeliveryMode} CCPOrderEntry
deliveryPointOfServiceOptionalPointOfService{PointOfService} CCPOrderEntry
entryNumberOptionalnumberEntry number of the order entry {number} CCPOrderEntry
productOptionalProduct{Product} CCPOrderEntry
quantityOptionalnumberQuantity number of items in order entry {number} CCPOrderEntry
quantityAllocatedOptionalnumber{number} CCPOrderEntry
quantityCancelledOptionalnumber{number} CCPOrderEntry
quantityPendingOptionalnumber{number} CCPOrderEntry
quantityReturnedOptionalnumber{number} CCPOrderEntry
quantityShippedOptionalnumber{number} CCPOrderEntry
quantityUnallocatedOptionalnumber{number} CCPOrderEntry
returnableQuantityOptionalnumberQuantity number of returnable items in order entry {number} CCPOrderEntry
returnedItemsPriceOptionalPrice{Price} CCPOrderEntry
statusSummaryListOptionalArray<StatusSummary>List of aggregated status information per entry, relevant if the entry is configurable and its configuration contains one or many issues in different severities. Note that configurators typically raise such issues only in case the parent document is changeable. In this case the issues (depending on their severity) need to be fixed before a checkout can be done. This means this segment can be present for a cart entry, for order entries it will always be empty {Array<StatusSummary>} CCPOrderEntry
totalPriceOptionalPrice{Price} CCPOrderEntry
updateableOptionalbooleanFlag defining if order entry item is updateable {boolean} CCPOrderEntry
urlOptionalstring{string} CCPOrderEntry

Referenced Types

On this page